Package picard.util

## Class ThreadPoolExecutorUtil

- java.lang.Object
- - picard.util.ThreadPoolExecutorUtil

-     public class ThreadPoolExecutorUtil
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThreadPoolExecutorUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `awaitThreadPoolTermination​(String executorName, ThreadPoolExecutor executorService, Duration timeBetweenChecks)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadPoolExecutorUtil

          public ThreadPoolExecutorUtil()

  - ### Method Detail

    - #### awaitThreadPoolTermination

          public static void awaitThreadPoolTermination​(String executorName,
                                                        ThreadPoolExecutor executorService,
                                                        Duration timeBetweenChecks)